Segmentation fault on adding bogus non-MP3 file to playlist
October 17,2012 15:59 - Mark -
Description

I'm using Audacious 3.2.4 on Lubuntu 11.10 x86-64. | noticed that when adding a bogus/fake non-MP3 file to a playlist, Audacious
crashes with a segmentation fault.

Create the fake file:
echo sklslglkfjfg >test.mp3

Running audacious -V, output on adding that to a playlist looks like this:
VFS: <0x158fe60> open (mode r) file:///home/user/path/to/file/test. mp3
VFS: <0x158fe60> seek to 0 from end

VFS: <0x158fe60> tell = 13

VFS: <0x158fe60> seek to -128 from end

Segmentation fault

History

#1 - October 17, 2012 16:03 - Mark -

If | enable the "Do not load metadata for songs until played" option, Audacious does not crash when | add the fake file to a playlist. It does crash when
| right-click the playlist entry and select "Song Info...", however.

#2 - October 19, 2012 14:29 - Mark -

| just tested Audacious 3.2.3 (as on the Lubuntu 12.10 disc). That doesn't crash, but the behaviour is less than ideal.

On adding the bogus file to a playlist, a dialog box appears saying "Iseek failed: Invalid argument.”
Console output when that happens:

VFS: <0xb4000d20> open (mode r) file:///home/lubuntu/test. mp3

VFS: <0xb4000d20> seek to 0 from end

VFS: <0xb4000d20> tell = 11

VFS: <0xb4000d20> seek to -128 from end

mpg123 probe error for file://home/lubuntu/test. mp3: Message: | am done with this track.

VFS: <0xb4000d20> close

util.c:83 [audgui_simple_message]: Iseek failed: Invalid argument.

The file does actually get added to the playlist. On double-clicking it or right-clicking and selecting Song Info you get the Iseek failed dialog again.

#3 - November 11, 2012 20:57 - John Lindgren

Is this still a problem in the current version (3.3.2)?
#4 - November 18, 2012 21:04 - John Lindgren

- Status changed from New to Rejected

| cannot reproduce a crash in Audacious 3.2.4 or 3.3.2. Please compile either version from source and then attach a backtrace of the crash.
Alternatively, ask your distribution maintainers for support. We do not provide support for 3rd-party packaged binaries.
